# unicode_bidi::format_chars - Rust
API documentation for the Rust `format_chars` mod in crate `unicode_bidi`.
Keywords: rust, rustlang, rust-lang, format_chars

# Module unicode_bidi::format_chars [−] [src]

Directional Formatting Characters

http://www.unicode.org/reports/tr9/#Directional_Formatting_Characters

## Constants

ALM | ARABIC LETTER MARK
FSI | FIRST STRONG ISOLATE
LRE | LEFT-TO-RIGHT EMBEDDING
LRI | LEFT‑TO‑RIGHT ISOLATE
LRM | LEFT-TO-RIGHT MARK
LRO | LEFT-TO-RIGHT OVERRIDE
PDF | POP DIRECTIONAL FORMATTING
PDI | POP DIRECTIONAL ISOLATE
RLE | RIGHT-TO-LEFT EMBEDDING
RLI | RIGHT‑TO‑LEFT ISOLATE
RLM | RIGHT-TO-LEFT MARK
RLO | RIGHT-TO-LEFT OVERRIDE